upper dependencies on libc6 (<< 2.11)

Bug #508702 reported by Matthias Klose on 2010-01-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dante (Ubuntu)
High
Unassigned
eglibc (Ubuntu)
High
Unassigned
glib2.0 (Ubuntu)
High
Unassigned
libnih (Ubuntu)
High
Unassigned
upstart (Ubuntu)
High
Unassigned

Bug Description

glibc2.0, libnih and upstart all have hard coded upper dependencies on libc6 (<< 2.11). Just seeing this when trying to test-install an eglibc-2.11.1 upload. Note that this one doesn't differ in the upstream sources besides another release tag. So the current approach hard-coding the upper limit already did fail to detect the case to conflict with anything newer than 2.10.x, which apparently should have been detected.

Adding for now versioned conflicts against these three packages conflicting with the new libc6 in libc6 2.11.1-0ubuntu1.

Matthias Klose (doko) on 2010-01-17
Changed in glib2.0 (Ubuntu):
importance: Undecided → High
milestone: none → lucid-alpha-3
status: New → Confirmed
Changed in libnih (Ubuntu):
importance: Undecided → High
milestone: none → lucid-alpha-3
status: New → Confirmed
Changed in upstart (Ubuntu):
importance: Undecided → High
milestone: none → lucid-alpha-3
status: New → Confirmed
Loïc Minier (lool) wrote :

Not sure what you mean with hardcoded; these are from the libc6.symbols deps.

Loïc Minier (lool) wrote :

In the case of glib2.0, I see it's at least using __abort_msg which will cause a dep on libc6 (>> 2.10), libc6 (<< 2.11); this is added in a packaging patch.

Matthias Klose (doko) wrote :

ugly ... the upper dependencies are defined in eglibc. so the correct upgrade procedure should have been for eglibc:

 - make an 2.11 test build, ensuring these symbols still exist
 - upload an 2.10.x build with s/<<2.11/<< 2.12)
 - binNMU all packages with <<2.11 dependencies
 - upload 2.11 with << 2.12 symbols

Changed in eglibc (Ubuntu):
importance: Undecided → High
milestone: none → lucid-alpha-3
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eglibc - 2.11~20100104-0ubuntu5

---------------
eglibc (2.11~20100104-0ubuntu5) lucid; urgency=low

  * debian/*symbols*: Replace the upper dependency on (<< 2.11) with (<< 2.12).
    dpkg-gensymbols didn't complain about missing symbols in earlier uploads.
    LP: #508702.
  * Add expected testsuite failures:
    - tst-cputimer1.out (powerpc 64bit).
 -- Matthias Klose <email address hidden> Sun, 17 Jan 2010 15:24:48 +0100

Changed in eglibc (Ubuntu):
status: Confirmed → Fix Released
Matthias Klose (doko) on 2010-01-17
Changed in dante (Ubuntu):
importance: Undecided → High
milestone: none → lucid-alpha-3
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glib2.0 - 2.23.1-1ubuntu4

---------------
glib2.0 (2.23.1-1ubuntu4) lucid; urgency=low

  * Rebuild to pick up relaxed dependency on libc6, after checking that
    __abort_msg is available with the same signature in eglibc 2.11.
   LP: #508702.
 -- Matthias Klose <email address hidden> Mon, 18 Jan 2010 15:55:58 +0100

Changed in glib2.0 (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnih - 1.0.0-2build1

---------------
libnih (1.0.0-2build1) lucid; urgency=low

  * Rebuild to pick up relaxed dependency on libc6, after checking that
    __abort_msg is available with the same signature in eglibc 2.11.
   LP: #508702.
 -- Matthias Klose <email address hidden> Mon, 18 Jan 2010 16:09:13 +0100

Changed in libnih (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upstart - 0.6.3-11build1

---------------
upstart (0.6.3-11build1) lucid; urgency=low

  * Rebuild to pick up relaxed dependency on libc6, after checking that
    __abort_msg is available with the same signature in eglibc 2.11.
   LP: #508702.
 -- Matthias Klose <email address hidden> Mon, 18 Jan 2010 16:10:11 +0100

Changed in upstart (Ubuntu):
status: Confirmed → Fix Released
Matthias Klose (doko) wrote :

fixed in dante in lucid

Changed in dante (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers